> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Friend Tags

> Updates the tag list for a specified user in the friend list of another user



## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/SetFriendTags
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/SetFriendTags:
    post:
      tags:
        - Friend List Management
      summary: Set Friend Tags
      description: >-
        Updates the tag list for a specified user in the friend list of another
        user
      operationId: SetFriendTags
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetFriendTagsRequest'
        description: >-
          This operation is not additive. It will completely replace the tag
          list for the specified user. Please note that only users in the
          PlayFab friends list can be assigned tags. Attempting to set a tag on
          a friend only included in the friends list from a social site
          integration (such as Facebook or Steam) will return the
          AccountNotFound error.
      responses:
        '200':
          $ref: '#/components/responses/EmptyResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    SetFriendTagsRequest:
      description: >-
        This operation is not additive. It will completely replace the tag list
        for the specified user. Please note that only users in the PlayFab
        friends list can be assigned tags. Attempting to set a tag on a friend
        only included in the friends list from a social site integration (such
        as Facebook or Steam) will return the AccountNotFound error.
      type: object
      properties:
        FriendPlayFabId:
          description: >-
            PlayFab identifier of the friend account to which the tag(s) should
            be applied.
          type: string
        PlayFabId:
          description: PlayFab identifier of the player whose friend is to be updated.
          type: string
        Tags:
          description: Array of tags to set on the friend account.
          type: array
          items:
            type: string
      required:
        - PlayFabId
        - FriendPlayFabId
        - Tags
      example:
        PlayFabId: ABCDEF123456
        FriendPlayFabId: 298ABC37799
        Tags:
          - sniper
          - melee
    EmptyResponse:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    EmptyResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/EmptyResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Set Friend Tags](/services/playfab/api-references/rest/client/friend-list-management/set-friend-tags.md)
- [PFFriendsClientSetFriendTagsRequest](/services/playfab/api-references/c/pffriendstypes/structs/pffriendsclientsetfriendtagsrequest.md)
- [PFFriendsServerSetFriendTagsRequest](/services/playfab/api-references/c/pffriendstypes/structs/pffriendsserversetfriendtagsrequest.md)
- [PFFriendsClientSetFriendTagsAsync](/services/playfab/api-references/c/pffriends/functions/pffriendsclientsetfriendtagsasync.md)
- [PFFriendsServerSetFriendTagsAsync](/services/playfab/api-references/c/pffriends/functions/pffriendsserversetfriendtagsasync.md)
